Bug 1211796 - libosinfo doesn't detect Fedora Server media as 'fedora-unknown'
Summary: libosinfo doesn't detect Fedora Server media as 'fedora-unknown'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libosinfo
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 22:48 UTC by Cole Robinson
Modified: 2015-11-05 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-05 17:42:12 UTC


Attachments (Terms of Use)

Description Cole Robinson 2015-04-14 22:48:57 UTC
$ osinfo-detect Fedora-Server-DVD-x86_64-22_Beta.iso 
Media is bootable.

Compared to

$ osinfo-detect Fedora-Live-Workstation-x86_64-22_Beta-1.iso 
Media is bootable.
Media is an installer for OS 'Fedora'
Media is live media for OS 'Fedora'


So we need to extend fedora-unknown's regex to cover the Fedora server media:

Volume id: Fedora-22_B-x86_64

Additionally it should cover the aarch64 media as well:

Volume id: Fedora-S-22-aarch64

I'll provide patches, just want to track this for the test day

Comment 1 Cole Robinson 2015-11-04 21:16:29 UTC
I never got to this, but it's still relevant for f23 libosinfo and f23 server media...

Comment 2 Christophe Fergeau 2015-11-05 09:36:34 UTC
This seems to be working for me:


$ LC_ALL=C /usr/bin/osinfo-detect /home/teuf/redhat/isos/Fedora-Server-DVD-x86_64-23.iso 
Media is bootable.
Media is an installer for OS 'Fedora'

$ rpm -qf /usr/bin/osinfo-detect
libosinfo-0.2.12-2.fc23.x86_64

Comment 3 Cole Robinson 2015-11-05 17:42:12 UTC
Oops, I was testing the wrong DVD!


Note You need to log in before you can comment on or make changes to this bug.